=== debian/changelog ===
samtools (1.4.1-1build1) artful; urgency=medium

  * Rebuild against new libhts2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2017 19:41:36 +0200

samtools (1.4.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #865008

 -- Andreas Tille <tille@debian.org>  Sun, 18 Jun 2017 21:11:09 +0200

samtools (1.4-2) experimental; urgency=medium

  * Rebuild against properly named libhts which had a soname change

 -- Andreas Tille <tille@debian.org>  Tue, 21 Mar 2017 21:42:52 +0100

samtools (1.4-1) experimental; urgency=low

  [ Anton Khodak ]
  * CWL files added

  [ Andreas Tille ]
  * New upstream version
  * Replaced Dominique Belhachemi by my own ID as Uploader
  * Bump versioned Depends: libhts-dev (>= 1.4)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Mar 2017 16:24:50 +0100
