=== debian/control ===
Source: samtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               bash-completion,
#              libio-pty-perl is needed by the regression test.
               libio-pty-perl,
               libncurses5-dev,
               libhts-dev (>= 1.4),
               zlib1g-dev,
               automake,
               autoconf-archive,
               pkg-config,
               tabix (>= 1.0)
# tabix is needed for the regression tests.
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/samtools.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/samtools.git
Homepage: http://www.htslib.org/

Package: samtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: python
Description: processing sequence alignments in SAM and BAM formats
 Samtools is a set of utilities that manipulate nucleotide sequence alignments
 in the binary BAM format. It imports from and exports to the ascii SAM
 (Sequence Alignment/Map) format, does sorting, merging and indexing, and allows
 one to retrieve reads in any regions swiftly. It is designed to work on a
 stream, and is able to open a BAM (not SAM) file on a remote FTP or HTTP
 server.

Package: samtools-test
Architecture: all
Depends: ${misc:Depends}
Recommends: libio-pty-perl
Description: test files for the samtools package
 Samtools is a set of utilities that manipulate nucleotide sequence alignments
 in the binary BAM format.
 .
 This package contains test files for the samtools package.
