=== debian/changelog ===
samtools (1.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.0.0 (no changes needed)
  * Bump versioned Build-Depends: libhts-dev (>= 1.5)
  * Add recommends to cwl-tool and fix shebang line of cwl scripts

 -- Andreas Tille <tille@debian.org>  Fri, 04 Aug 2017 17:58:11 +0200
