=== debian/changelog ===
samtools (1.6-3ubuntu1) bionic; urgency=medium

  * Reduce memory limit of sort tests

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 22 Dec 2017 17:17:11 +0000

samtools (1.6-3) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Thu, 14 Dec 2017 15:59:08 +0100

samtools (1.6-2) experimental; urgency=medium

  * Fix versioned Build-Depends
    Closes: #884269

 -- Andreas Tille <tille@debian.org>  Wed, 13 Dec 2017 07:44:31 +0100

samtools (1.6-1) experimental; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
  * Drop literal_version.patch since upstream does not use make to obtain
    version number any more
  * Switch to default Debian Med repository layout
  * Standards-Version: 4.1.2
  * Remove unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2017 15:29:44 +0100
