=== debian/changelog ===
samtools (1.7-1) unstable; urgency=medium

  * New upstream version (adapted patches, mahem patch was applied upstream)
  * Standards-Version: 4.1.3
  * Bump versioned Build-Depends: libhts-dev (>= 1.7)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Feb 2018 13:22:37 +0100

samtools (1.6-4) unstable; urgency=medium

  * Reduce per-thread memory limit of sort tests

 -- Graham Inggs <ginggs@debian.org>  Sat, 23 Dec 2017 07:03:20 +0000
