=== debian/tests/control ===
Tests: samtools-test
Depends: @, tabix
Restrictions: allow-stderr
