=== debian/changelog ===
samtools (1.9-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Mark samtools-test as Multi-Arch: foreign.

  [ Andreas Tille ]
  * Update debian/README.Debian, install upstream NEWS as upstream changelog,
    install upstream README as doc, more complete debian/NEWS.Debian
    Closes: #922861
  * Drop reduntant information in debian/reference.  It is maintained in
    debian/upstream/metadata now.

 -- Andreas Tille <tille@debian.org>  Thu, 21 Feb 2019 17:50:17 +0100

samtools (1.9-3) unstable; urgency=medium

  * Do not force sse for i386
    Closes: #921315
  * debhelper 12
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 08:08:28 +0100

samtools (1.9-2) unstable; urgency=medium

  * Team upload.
  * Turn on SSE for i386. Closes: #917957
  * Standards-Version: 4.3.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 03 Jan 2019 00:21:01 -0800

samtools (1.9-1) unstable; urgency=medium

  * New upstream version
  * Mention the CRAM format in the description.
  * Fix Perl interpreter line

 -- Andreas Tille <tille@debian.org>  Wed, 12 Sep 2018 21:43:23 +0200

samtools (1.8-1) experimental; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * hardening=+all
  * Bump versioned Build-Depends: libhts-dev (>= 1.8)

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 12:02:20 +0200

samtools (1.7-2) unstable; urgency=medium

  * Install examples (since it is used in dwgsim package and might be
    helpful for users in general)
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 29 Mar 2018 09:55:47 +0200
