=== debian/control ===
Source: samtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               bash-completion,
#              libio-pty-perl is needed by the regression test.
               libio-pty-perl,
               libncurses5-dev,
               libhts-dev (>= 1.9),
               zlib1g-dev,
               automake,
               autoconf-archive,
               pkg-config,
               tabix (>= 1.0)
# tabix is needed for the regression tests.
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/samtools
Vcs-Git: https://salsa.debian.org/med-team/samtools.git
Homepage: http://www.htslib.org/

Package: samtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: python,
            cwltool
Description: processing sequence alignments in SAM, BAM and CRAM formats
 Samtools is a set of utilities that manipulate nucleotide sequence alignments
 in the binary BAM format. It imports from and exports to the ascii SAM
 (Sequence Alignment/Map) and CRAM formats, does sorting, merging and indexing,
 and allows one to retrieve reads in any regions swiftly. It is designed to work
 on a stream, and is able to open a BAM or CRAM (not SAM) file on a remote FTP
 or HTTP server.

Package: samtools-test
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libio-pty-perl
Description: test files for the samtools package
 Samtools is a set of utilities that manipulate nucleotide sequence alignments
 in the binary BAM format.
 .
 This package contains test files for the samtools package.
