=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 export DH_VERBOSE=1
 export CURSES_LIB=-lcurses
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
+  export DEB_CFLAGS_MAINT_APPEND=-ffloat-store
+endif
 
 %:
 	dh $@
@@ -24,10 +29,22 @@
 	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- \
 	  BGZIP=/usr/bin/bgzip
+endif
 
 override_dh_auto_install:
 	dh_auto_install -- \
 	  prefix=/usr
 	make clean
+
+override_dh_install:
+	dh_install
+	# Fix Perl interpreter PATH
+	for pscript in `grep -Rl '#!/usr/bin/env \+perl' debian/*` ; do \
+	    sed -i '1s?#!/usr/bin/env \+perl?#!/usr/bin/perl?' $${pscript} ; \
+	done
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
